# flake8: noqa

"""A set of wrapper functions for accessing the eBird API."""

__version__ = "4.0.1"

from ebird.api.requests.checklists import get_checklist, get_visits
from ebird.api.requests.client import Client
from ebird.api.requests.constants import LOCALES
from ebird.api.requests.hotspots import (
    get_hotspot,
    get_hotspots,
    get_location,
    get_nearby_hotspots,
)
from ebird.api.requests.observations import (
    get_historic_observations,
    get_nearby_notable,
    get_nearby_observations,
    get_nearby_species,
    get_nearest_species,
    get_notable_observations,
    get_observations,
    get_species_observations,
)
from ebird.api.requests.regions import (
    get_adjacent_regions,
    get_region,
    get_regions,
)
from ebird.api.requests.species import get_species_list
from ebird.api.requests.statistics import get_top_100, get_totals
from ebird.api.requests.taxonomy import (
    get_taxonomy,
    get_taxonomy_forms,
    get_taxonomy_groups,
    get_taxonomy_locales,
    get_taxonomy_versions,
)
